Device (pci8086,3e34)
{
	Name (_ADR, 0x00000000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "???" },
			"device_type", Buffer () { "Host bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IGPU)
{
	Name (_ADR, 0x00020000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"framebuffer-stolenmem", Buffer () { 0x00, 0x00, 0x30, 0x01 },
			"framebuffer-con1-busid", Buffer () { 0x01, 0x00, 0x00, 0x00 },
			"device-id", Buffer () { 0x9B, 0x3E, 0x00, 0x00 },
			"framebuffer-fbmem", Buffer () { 0x00, 0x00, 0x90, 0x00 },
			"device_type", Buffer () { "VGA compatible controller" },
			"framebuffer-patch-enable", Buffer () { 0x01, 0x00, 0x00, 0x00 },
			"enable-hdmi20", Buffer () { 0x01, 0x00, 0x00, 0x00 },
			"framebuffer-con0-pipe", Buffer () { 0x12, 0x00, 0x00, 0x00 },
			"AAPL,slot-name", Buffer () { "Internal" },
			"AAPL,ig-platform-id", Buffer () { 0x06, 0x00, 0x9B, 0x3E },
			"model", Buffer () { "UHD Graphics 630 (Mobile)" },
			"framebuffer-con1-enable", Buffer () { 0x01, 0x00, 0x00, 0x00 },
			"framebuffer-con0-enable", Buffer () { 0x01, 0x00, 0x00, 0x00 },
		})
	}
}
Device (pci8086,1911)
{
	Name (_ADR, 0x00080000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model" },
			"device_type", Buffer () { "System peripheral" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (pci8086,9df9)
{
	Name (_ADR, 0x00120000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP Thermal Controller" },
			"device_type", Buffer () { "Signal processing controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (B0D4)
{
	Name (_ADR, 0x00040000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem" },
			"device_type", Buffer () { "Signal processing controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (XHC)
{
	Name (_ADR, 0x00140000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP USB 3.1 xHCI Controller" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (pci8086,9def)
{
	Name (_ADR, 0x00140002)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP Shared SRAM" },
			"device_type", Buffer () { "RAM memory" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IMEI)
{
	Name (_ADR, 0x00160000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP MEI Controller #1" },
			"device_type", Buffer () { "Communication controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (SATA)
{
	Name (_ADR, 0x00170000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP SATA Controller [AHCI Mode]" },
			"device_type", Buffer () { "SATA controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (RP01)
{
	Name (_ADR, 0x001c0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP PCI Express Root Port #1" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (RP09)
{
	Name (_ADR, 0x001d0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP PCI Express Root Port #9" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (RP11)
{
	Name (_ADR, 0x001d0002)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "???" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (RP13)
{
	Name (_ADR, 0x001d0004)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP PCI Express Root Port #13" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (LPCB)
{
	Name (_ADR, 0x001f0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP LPC Controller" },
			"device_type", Buffer () { "ISA bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (HDEF)
{
	Name (_ADR, 0x001f0003)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP High Definition Audio Controller" },
			"layout-id", Buffer () { 0x03, 0x00, 0x00, 0x00 },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "Audio device" },
		})
	}
}
Device (SBUS)
{
	Name (_ADR, 0x001f0004)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP SMBus Controller" },
			"device_type", Buffer () { "SMBus" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (pci8086,9da4)
{
	Name (_ADR, 0x001f0005)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Cannon Point-LP SPI Controller" },
			"device_type", Buffer () { "Serial bus controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
